import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { AuthService } from './service/auth.service';

const routes: Routes = [
  { path: '', redirectTo: 'extra', pathMatch: 'full' },
  { path: 'main', canActivateChild: [AuthService], loadChildren: './home/home.module#HomePageModule'},
  { path: 'extra', loadChildren: './extra/extra.module#ExtraPageModule'},
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
